Skip to content

getAttribute

READ

Get attribute.

POST /api/v1/people/getAttribute
curl -X POST '<your-host>/api/v1/people/getAttribute' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "attributeId": "string"
  }'
Response
{
  "active": true,
  "attributeDataTypeId": 0,
  "canSelfManage": true,
  "createdAt": "string",
  "createdBy": "string",
  "id": "string",
  "listOptions": [
    "string"
  ],
  "name": "string",
  "sortOrder": 0,
  "updatedAt": "string",
  "updatedBy": "string",
  "userAttributeCategoryId": "string",
  "userAttributeCategory": {
    "name": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "attributeId": {
      "type": "string"
    }
  },
  "required": [
    "attributeId"
  ]
}